Sunday, November 1, 2015

5.0.0 Stabil de nem LTS

Hát nem most jelent meg a 4.2.1?? Most akkor melyiket használja a jól megboldogult programozó? Merülhet fel (jogosan!) a kérdés. A válasz pedig ... attól függ:

  • Ha a stabilitás az elsődleges és a NodeJS folyamatos frissítése nehézkes lenne (mert pl valamilyen robosztus vállalati rendszerrel állunk szembe), akkor tanácsos a 4.2.x-es ágat használni.
  • Ha a gyakori Node frissítések nem okoznak gondot és szeretnénk a legújabb csodákkal fejleszteni, akkor lehet nyugodtan az 5.0.x-est telepíteni.

Mivel a NodeJS nagyon gyorsan fejlődik és változik, ezért a fejlesztés  két ágon fog folyamatosan egyszerre történni. Amíg a páros számú megjelenések (pl: 4) lesznek a hosszan támogatott verziók (18 hónap ha jól értem), addig a páratlan számúak (pl: 5) csak 8 hónapig élnek majd.
Ezeket az infókat nem az újjamból szoptam ki, az eredeti cikk itt van :)